Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OntologyEntityFinder
Class Entity

    java.lang.Object
      OntologyEntityFinder.Entity

    public class Entity

extends java.lang.Object

Class describing an ontology entity

Author:
  Simeon Polfliet (simeon.polfliet@ensimag.imag.fr)

Field Summary
`private java.lang.String` | `name` Ontology entity name
`private java.util.HashSet<java.lang.String>` | `words` Set of words associated with the entity

Constructor Summary
`Entity(java.lang.String n)` Standard constructor

Method Summary
`void` | `addWord(java.util.LinkedList<java.lang.String> list)` Add all the words from the given list
`void` | `addWord(java.lang.String word)` Add a word to this entity
`double` | `compareWord(java.util.LinkedList<java.lang.String> listStr)` Compare all the words of the list with all the words of the entity and return the mean of the highest value for each word
`double` | `compareWord(java.lang.String str)` Compare a word with all the words of the entity and return the highest result
`boolean` | `containsWord(java.lang.String word)`
`void` | `delWord(java.util.LinkedList<java.lang.String> list)` Delete all the entity words who appears in the given list
`void` | `delWord(java.lang.String word)` Remove a word from this entity
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

  Ontology entity name

### words

    private java.util.HashSet<java.lang.String> words

  Set of words associated with the entity

Constructor Detail

### Entity

    public Entity(java.lang.String n)

  Standard constructor

  Parameters:
    `n` - the entity name

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the entity name

### addWord

    public void addWord(java.lang.String word)

  Add a word to this entity

  Parameters:
    `word` - The word to add

### addWord

    public void addWord(java.util.LinkedList<java.lang.String> list)

  Add all the words from the given list

  Parameters:
    `list` - the list of words to add

### delWord

    public void delWord(java.lang.String word)

  Remove a word from this entity

  Parameters:
    `word` - the word to remove

### containsWord

    public boolean containsWord(java.lang.String word)

  Parameters:
    `word` - the word to look for
  Returns:
    true if present, false if absent

### delWord

    public void delWord(java.util.LinkedList<java.lang.String> list)

  Delete all the entity words who appears in the given list

  Parameters:
    `list` - words to remove

### compareWord

    public double compareWord(java.lang.String str)

  Compare a word with all the words of the entity and return the highest result

  Parameters:
    `str` - the word to compare with the entity
  Returns:
    the similarity between the word and the entity

### compareWord

    public double compareWord(java.util.LinkedList<java.lang.String> listStr)

  Compare all the words of the list with all the words of the entity and return the mean of the highest value for each word

  Parameters:
    `listStr` - the list of words to compare with the entity
  Returns:
    the similarity between the set and the entity

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD